--- title: "deleteVpc" slug: "networking-vpc-vpcmanagement-deletevpc" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-vpcmanagement-deletevpc" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteVpc Available in VPC Delete a VPC by specifying the VPC number. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/deleteVpc | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the VPC to delete - First Region of the search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `vpcNo` | String | Required | Number of the VPC to delete - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist) | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/deleteVpc ?regionCode=KR &vpcNo=***04' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [VpcList](/docs/en/common-vapidatatype-vpclist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` f6d32d67-ab92-4096-b240-ed2e96d8d265 0 success 1 ***04 test-*** ***.***.0.0/16 TERMTING terminating KR 2020-07-27T17:17:05+0900 ```